Subject: Re: [Netconf] draft-voit-netconf-notification-messages

From: "Eric Voit (evoit)" <[email-masked]>
Date: Mon, 28 Aug 2017 14:31:26 +0000

Hi Balazs,

Closing on the previous thread, do you want to add something to draft-voit-netconf-notification-messages for bundled notifications on your time point?  Perhaps something like: "if a record time is not provided within any particular bundled record, the receiving system must be able to assume that the notification time from the bundle may be safely copied into a missing record time".

Eric

-----Original Message-----
From: Eric Voit, July 20, 2017 6:16 PM

Hi Balazs,

There are two cases here:

(1) Non-bundled

(2) bundled

In the non-bundled case:

Would you agree that either event-time or notification-time must be sent?  If yes, then in the descriptions, we can define that at least one must be included.  Note: For publishers which don't wish to differentiate between the two times, they should be forced to choose at least one.  Otherwise a receiver will need to guess to normalize information with publishers that can.  And it would seem far better for a publisher to make an assertion by choosing to populate one of those two fields rather than the receiver making a guess.

In the bundled case, it is hard for me to see how a record-time should not be included.  If forced, perhaps we could make it optional in the notification.  But then we should define that it must be viable for the receiver to copy/map the notification-time into each record's the event time.

Thoughts?

Eric

***************

Parallel thread...

> From: Balazs Lengyel, July 20, 2017 10:33 AM

> Hello,

> Many systems don't differentiate between notification time and record-time.

> Don't make it mandatory to have record-time in each change record.

> regards Balazs

> --

> Balazs Lengyel                       Ericsson Hungary Ltd.

> Senior Specialist

> Mobile: +36-70-330-7909              email: [email-masked]<mailto:[email-masked]>

From: Eric Voit, July 18, 2017 4:30 PM

Hi Balazs,

Glad you like the proposal.  Thoughts in-line...

From: Balazs Lengyel, July 14, 2017 11:17 AM

Hello,

I very much like this draft. Some comments:

We would need to specify for some info bits that they are mandatory. I would vote for making subscription-id,

<eric> I have no problem with making the subscription-id leaf-list have a min-elements of 1.  Existing RFC-5277 developers have suggested that subscription-id isn't necessary. I am good either way.

notification-if and

<eric> I don't have strong feelings on this, but some implementations might not want to generate and track a notification-id.

record-time mandatory,

<eric> this is mandatory now.

the rest optional.

previous-notification-id is only useful if you handle it separately for each subscription. Otherwise due to filtering messages might be discarded by the server itself. Please state that this needs to be handled per subscription.

<eric> As several subscriptions can be encapsulated, I believe it should be separate for each message-generator-id.  Let's talk about this more, as this intersects what to do about multiple line-cards reporting on the same subscription.

Thanks,
Eric

regards Balazs

--

Balazs Lengyel                       Ericsson Hungary Ltd.

Senior Specialist

Mobile: +36-70-330-7909              email: [email-masked]<mailto:[email-masked]>